/*-------------------------------------------------------

List Mode Format 
                        
--  mergeLMFfiles.c  --                      

Martin.Rey@epfl.ch

Crystal Clear Collaboration
Copyright (C) 2004 LPHE/EPFL, CH-1015 Lausanne

This software is distributed under the terms 
of the GNU Lesser General 
Public Licence (LGPL)
See LMF/LICENSE.txt for further details

-------------------------------------------------------*/

/*-------------------------------------------------------

Description of mergeLMFfiles

Merge a choosen number of lmf files.

-------------------------------------------------------*/


#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include "../includes/lmf.h"


int main()
{
  u32 nbOfFileToSum = 0, i;
  i8 newName[charNum] = "sum";
  char response[10];
  u8 doneonce = 0;

  printf("\n****************************************\n");
  printf("            LMF FILES MERGER                ");
  printf("\n****************************************\n\n\n");

  printf("\nHow many lmf files do you want to merge\n");
  scanf("%lu",&nbOfFileToSum); getchar();

 for(i = 0; i < nbOfFileToSum; i++)
    {
      system("ls *.cch *.ccs");
 
      if(LMFcchReader("")) exit(EXIT_FAILURE);
 
      if(!doneonce)
	{
	  printf("Give the new file name (Default = %s): ",newName);
	  if (fgets(response,sizeof(response),stdin))
	    sscanf(response,"%s",&newName);
	  setNewLMFfileName(newName);
	  doneonce++;
	}

      LMFreader(ccsFileName,"mergeLMFfiles");
      LMFreaderDestructor(); 
    }
  
  return(EXIT_SUCCESS);
}
